Package ru.bgcrm.plugin.bgbilling.proto.dao

# Class ResourceDAO

java.lang.Object
ru.bgcrm.plugin.bgbilling.dao.BillingDAO
ru.bgcrm.plugin.bgbilling.proto.dao.BillingModuleDAO
ru.bgcrm.plugin.bgbilling.proto.dao.ResourceDAO

public class ResourceDAO extends BillingModuleDAO

- ## Field Summary

  ### Fields inherited from class ru.bgcrm.plugin.bgbilling.proto.dao.BillingModuleDAO

  `moduleId`

  ### Fields inherited from class ru.bgcrm.plugin.bgbilling.dao.BillingDAO

  `dbInfo, jsonMapper, jsonTypeFactory, transferData, user`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ResourceDAO(User user, String billingId, int moduleId)`
  `ResourceDAO(User user, DBInfo dbInfo, int moduleId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<IpResourceRange>`
  `getFreeIpResourceRangeList(Set<Integer> categoryIds, int range, int max)`
  Возвращает список свободных IP адресов.
  `Integer`
  `getFreeVlan(Set<Integer> vlanResourceCategoryIds, Date dateFrom, Date dateTo)`

  ### Methods inherited from class ru.bgcrm.plugin.bgbilling.proto.dao.BillingModuleDAO

  `getModuleId, setModuleId`

  ### Methods inherited from class ru.bgcrm.plugin.bgbilling.dao.BillingDAO

  `doRequest, getDbInfo, getPage, getParameterId, getVersion, linesToString, readJsonValue, setPage`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ResourceDAO

    public ResourceDAO(User user, DBInfo dbInfo, int moduleId)

  - ### ResourceDAO

    public ResourceDAO(User user, String billingId, int moduleId)

- ## Method Details

  - ### getFreeIpResourceRangeList

    public List<IpResourceRange> getFreeIpResourceRangeList(Set<Integer> categoryIds, int range, int max)
    Возвращает список свободных IP адресов.
    Parameters:
      `categoryIds` -
      `range` -
      `max` -
    Returns:

  - ### getFreeVlan

    public Integer getFreeVlan(Set<Integer> vlanResourceCategoryIds, Date dateFrom, Date dateTo)